#include "SolverMatrix.h"
#include "Mapper.h"
#include "MatrixStreams.h"

namespace AMDiS {
  void SolverMatrix< Matrix<DOFMatrix*> >::buildMatrix() const
  {
    VectorialMapper mapper(*this);
    matrix.change_dim(mapper.nRow(), mapper.nCol());
    set_to_zero(matrix);
    MatMap< const SolverMatrix< Matrix<DOFMatrix*> >, VectorialMapper > matMap(*this,mapper);
    matrix << matMap;

  }
}
